Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_memory_find_node

## Name

librdf_hash_memory_find_node -- Find the node for the given key or value

## Synopsis

``librdf_hash_memory_node* `librdf_hash_memory_find_node`` (librdf_hash_memory_context* `hash`, void * `key`, size_t `key_len`, int * `user_bucket`, librdf_hash_memory_node** `prev`);`

## Arguments

`hash`

  the memory hash context

`key`

  key string

`key_len`

  key string length

`user_bucket`

  pointer to store bucket

`prev`

  pointer to store previous node

## Description

If value is not NULL and value_len is non 0, the value will also be compared in the search.

If user_bucket is not NULL, the bucket used will be returned. if prev is no NULL, the previous node in the list will be returned.

## Return value

librdf_hash_memory_node of content or NULL on failure

<<< Previous | Home | Next >>>
In Memory Hash Implementation Class | Up | librdf_hash_memory_create